Improve this doc View source

# `pfSelect`
directive in module `patternfly.select`

## Description

The pfSelect component provides a wrapper for the angular ui bootstrap dropdown container allowing for use of ng-model and ng-options

## Usage

as element:

    <pf-select
           ng-model="{string}"
           [ng-options="{string}"]>
    </pf-select>

#### Parameters

Param | Type | Details
--- | --- | ---
ngModel | string | Model binding using the NgModelController is mandatory.
ngOptions (optional) | string | The `<a href="https://docs.angularjs.org/api/ng/directive/select/">ngOptions</a>` attribute can be used to dynamically generate a list of `<option>` elements

## Example

#### Source

#### Demo